﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;
using Syncfusion.Windows.Controls;
using Syncfusion.Windows.Shared;

namespace DockingManager_118596
{
    /// <summary>
    /// Interaction logic for UserControl1.xaml
    /// </summary>
    public partial class UserControl1 : UserControl
    {
        public UserControl1()
        {
            InitializeComponent();
            this.Loaded += UserControl1_Loaded;
           
            
        }

        void UserControl1_Loaded(object sender, RoutedEventArgs e)
        {
            double width = 200;
            double height = 300;

            var bounds = Application.Current.Windows[0].RestoreBounds;
            if (bounds != null)
            {
                // Set the position to the center
                DockingManager.SetFloatingWindowRect(this,
                    new Rect(
                        bounds.Left + (bounds.Width / 2) - (width / 2),
                        bounds.Top + (bounds.Height / 2) - (height / 2),
                        width, height)
                    );
            }
           
        }
    }
}
